---
title: "Get freeform invites"
url: "https://docs.signnow.com/docs/doc-group-freeform-invite/operations/get-v2-document-groups-document-group-id-free-form-invites-dg-freeform-invite-id-documents"
type: "endpoint"
section: "doc-group-freeform-invite"
slug: "doc-group-freeform-invite/operations/get-v2-document-groups-document-group-id-free-form-invites-dg-freeform-invite-id-documents"
method: "GET"
path: "/v2/document-groups/{document_group_id}/free-form-invites/{dg_freeform_invite_id}/documents"
operation_id: "get-v2-document-groups-document-group-id-free-form-invites-dg-freeform-invite-id-documents"
authorization: "bearer"
---

# Get freeform invites

`GET /v2/document-groups/{document_group_id}/free-form-invites/{dg_freeform_invite_id}/documents`

This endpoint allows API users to get the documents of a document group freeform invite sent to the current user.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |
| `dg_freeform_invite_id` | string | Yes | ID of the document group FreeForm invite. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `per_page` | string | No | How many search items to view per page. Allowed values: positive integers from 1 to 100. |
| `page` | string | No | How many pages to fit the results in. Allowed values: any positive integer starting from 1. |

## Responses

### 200

Documents of the freeform invite available to the signer. Call this endpoint with the access token of the invite recipient.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "id": "8116598512e433247ea11e8f5eb2330ad5aabd61",
      "name": "Contract",
      "invite": {
        "id": "4840738209ea7c7a1ea61c443f002d2dddeb0896",
        "status": "pending"
      }
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 20,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

Current user does not have free form invites on this document group

**Example** (`No free form invites with this doc group`)

```json
{
  "errors": [
    {
      "code": 19001053,
      "message": "Document group free form invites not exist."
    }
  ]
}
```

### 404

* Document group free form invite not found
* Document group not found

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 19002010,
      "message": "Document group '2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX' not found."
    }
  ]
}
```

**Example** (`Document group free form invite not found`)

```json
{
  "errors": [
    {
      "code": 19002015,
      "message": "Document group free form invite `d9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/free-form-invites/{dg_freeform_invite_id}/documents" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-freeform-invite/operations/get-v2-document-groups-document-group-id-free-form-invites-dg-freeform-invite-id-documents*
